curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/agent-datasets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"compatible_agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Retrieve all agent-level datasets in a project. Use to discover available datasets for agent test runs.
page_size defaults to 30, maximum 100.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/agent-datasets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"compatible_agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
AgentDatasetsListResponse(data: list[server.api_routes.agent_datasets_api_v2.AgentDatasetResponse], pagination: server.api_routes.api_v2_common.PaginationInfo)